Dependency Packages for Koha 3.6.4 on openSUSE 12.1

Well, this will be a quick post i can tell.

I investigate packages that are required by Koha to get install on openSUSE 12.1 is near to be easier this time. Not only by the power of its Open Build Service (OBS) but also of its maintainers, thanks to Lars Vogdt and Stephan Kulow for their great dedications to openSUSE project.

Yes, Lars Vogdt (lrupp) is making sure that beside openSUSE Education project is running OK, he with Stephan Kulow (coolo) are maintaining devel:languages:perl repository keeps stable. Especially coolo, he maintains many perl packages on devel:languages:perl subprojects (CPAN-X , X=A to Z), and this really helps on providing many packages that Koha depends on, better than like it was in earlier Koha release.

Update, June 9 2012: perl-DBD-SQLite2 package is now available too in Open Build Service (OBS), in main devel:languages:perl repository, so one-step ahead to bring/package bleeding-edge Koha version into OBS. Awesome work by Lars Vogdt. Thanks! =)

In time I am writing this post, if perl-DBD-SQLite2 is still not yet successfully built on OBS (now, it is still failed) so there is only one package leftperl-PDF-API2-Simple, one package left (see Update, May 10 2012 below) and then Koha will easily be installed like it was on openSUSE 11.2.

Update, May 10 2012-0: perl-PDF-API2-Simple package is NOW available in main devel:languages:perl repository, so we can install it through zypper or yast sw_single:

> su -c 'zypper install perl-PDF-API2-Simple'
Password:
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following NEW package is going to be installed:
  perl-PDF-API2-Simple 

1 new package to install.
Overall download size: 20.0 KiB. After the operation, additional 46.0 KiB will be used.
Continue? [y/n/?] (y): y
Retrieving package perl-PDF-API2-Simple-1.1.4-1.1.x86_64 (1/1), 20.0 KiB (46.0 KiB unpacked)
Retrieving: perl-PDF-API2-Simple-1.1.4-1.1.x86_64.rpm [done (5.6 KiB/s)]
Installing: perl-PDF-API2-Simple-1.1.4-1.1 [done]
> rpm -qi perl-PDF-API2-Simple
Name        : perl-PDF-API2-Simple
Version     : 1.1.4
Release     : 1.1
Architecture: x86_64
Install Date: Thu 10 May 2012 07:05:27 PM WIT
Group       : Development/Libraries/Perl
Size        : 46933
License     : Red Tree Systems, LLC
Signature   : DSA/SHA1, Tue 08 May 2012 02:38:06 AM WIT, Key ID dcca98dddcef338c
Source RPM  : perl-PDF-API2-Simple-1.1.4-1.1.src.rpm
Build Date  : Tue 08 May 2012 02:34:32 AM WIT
Build Host  : build02
Relocations : (not relocatable)
Vendor      : obs://build.opensuse.org/devel:languages:perl
URL         : http://search.cpan.org/dist/PDF-API2-Simple/
Summary     : Simplistic wrapper for the excellent PDF::API2 modules
Description :
Simplistic wrapper around PDF::API2 - Facilitates the creation and modification
of PDF files.
Distribution: devel:languages:perl / openSUSE_12.1

Update, June 9 2012-1: Finally, all Perl packages required to install Koha 3.6.x and 3.8.x are now available in these repositories:

Meanwhile, those two packages perl-DBD-SQLite2 package still needs to be installed through usual tool called CPAN, others can be installed by using additional repositories (beside official devel:languages:perl repo) from:

These are the packages that can be installed through those repositories above:

Update, April 26 2012: There are other perl packages need to be installed in order to get Koha installer run without problem, I forgot not to put the here. These packages are also available in main devel:languages:perl repository:

perl-Biblio-EndnoteStyle
perl-DateTime-Format-DateParse
perl-Readonly perl-Readonly-XS

, then you are ready to go.. :)

perl-Algorithm-CheckDigits
perl-CGI-Session-Serialize-yaml
perl-CGI-Session
perl-Class-Accessor
perl-Class-Factory-Util
perl-DBD-mysql
perl-Data-ICal
perl-Date-Calc
perl-Date-ICal
perl-Date-Manip
perl-DublinCore-Record
perl-Email-Date
perl-GD
perl-GD-Barcode
perl-HTML-Scrubber
perl-HTML-Template-Pro
perl-Lingua-Stem
perl-MARC-Charset
perl-MARC-Crosswalk-DublinCore
perl-MARC-File-XML
perl-MARC-Record
perl-MIME-Lite
perl-Mail-Sendmail
perl-Net-LDAP (provided by perl-ldap)
perl-Net-Z3950-ZOOM
perl-PDF-API2
perl-PDF-Reuse
perl-PDF-Reuse-Barcode
perl-POE
perl-32bit
perl-SMS-Send
perl-Schedule-At
perl-Text-CSV
perl-Text-Iconv
perl-XML-Dumper
perl-XML-LibXSLT
perl-XML-RSS
perl-Text-CSV_XS
perl-PerlMagick
perl-Carp-Assert
perl-XML-SAX
perl-XML-LibXML
perl-File-Remove
perl-Module-Install
perl-Module-ScanDeps
perl-PAR-Dist
perl-YAML-Tiny
perl-Template-Toolkit
perl-Business-ISBN
perl-GraphicsMagick
perl-Lingua-Stem-Snowball
perl-Locale-PO
perl-Number-Format
perl-Text-CSV-Encoded
perl-UNIVERSAL-require
perl-XML-SAX-Writer
perl-Authen-CAS-Client
perl-CGI-Session-Driver-memcached
perl-DateTime-Format-ICal
perl-Gravatar-URL
perl-HTTP-OAI
perl-Locale-Currency-Format
perl-Memoize-Memcached
perl-Modern-Perl
perl-Net-Server
perl-PDF-Table
gd
gd-devel
xorg-x11-libXpm-devel (provided by libXpm-devel)
libjpeg-devel (provided by libjpeg62-devel)
fontconfig-devel
libpng-devel (provided by libpng12-compat-devel)
libyaz-devel
findutils-locate
ncftp
make
gcc
idzebra
idzebra-doc

This is also a mean to update the official how-to on (old) Koha Wiki page and its manual (./INSTALL.opensuse) in the source package.

And I’m sure it wont take too long for maintainers to provide those two packages left too, so user can get the Koha installer page quickly as shown below:

See other screenshots in Koha 3.6.4 – openSUSE 12.1 album (Google Picasa). :)

Good luck!

One thought on “Dependency Packages for Koha 3.6.4 on openSUSE 12.1

  1. excellent!, I am looking for this aplication for my library, if you don’t mind, could you please give your hp number,
    my phone 08XXXXXXXX
    sincerelly

    heri rusmana

Leave a Reply

Your email address will not be published. Required fields are marked *

*

You may use these HTML tags and attributes: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>